Index: src/southbridge/via/vt8237r/lpc.c
===================================================================
--- src/southbridge/via/vt8237r/lpc.c	(revision 6367)
+++ src/southbridge/via/vt8237r/lpc.c	(working copy)
@@ -300,7 +300,7 @@
 	pci_write_config8(dev, 0x48, 0x0c);
 #else
 	
-  #if CONFIG_SOUTHBRIDGE_VIA_K8T800
+  #if defined(CONFIG_SOUTHBRIDGE_VIA_K8T800)
 	/* It seems that when we pair with the K8T800, we need to disable
 	 * the A2 mask
 	 */
Index: src/southbridge/via/k8t890/k8x8xx.h
===================================================================
--- src/southbridge/via/k8t890/k8x8xx.h	(revision 0)
+++ src/southbridge/via/k8t890/k8x8xx.h	(revision 0)
@@ -0,0 +1,25 @@
+/*
+ * This file is part of the coreboot project.
+ * 
+ * Copyright (C) 2011  Alexandru Gagniuc <mr.nuke.me@gmail.com>
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+#ifndef SOUTHBRIDGE_VIA_K8T890_K8X8XX_H
+#define SOUTHBRIDGE_VIA_K8T890_K8X8XX_H
+
+#include "k8t890.h"
+
+#endif//SOUTHBRIDGE_VIA_K8T890_K8X8XX_H
\ No newline at end of file
